/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.12-dev21
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The PlotConfig model module.
 * @module model/PlotConfig
 * @version 2021.12-dev21
 */
class PlotConfig {
    /**
     * Constructs a new <code>PlotConfig</code>.
     * @alias module:model/PlotConfig
     * @param mainPlot {Object} 
     * @param subplots {Object} 
     */
    constructor(mainPlot, subplots) { 
        
        PlotConfig.initialize(this, mainPlot, subplots);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj, mainPlot, subplots) { 
        obj['main_plot'] = mainPlot;
        obj['subplots'] = subplots;
    }

    /**
     * Constructs a <code>PlotConfig</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/PlotConfig} obj Optional instance to populate.
     * @return {module:model/PlotConfig} The populated <code>PlotConfig</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new PlotConfig();

            if (data.hasOwnProperty('main_plot')) {
                obj['main_plot'] = ApiClient.convertToType(data['main_plot'], Object);
            }
            if (data.hasOwnProperty('subplots')) {
                obj['subplots'] = ApiClient.convertToType(data['subplots'], Object);
            }
        }
        return obj;
    }


}

/**
 * @member {Object} main_plot
 */
PlotConfig.prototype['main_plot'] = undefined;

/**
 * @member {Object} subplots
 */
PlotConfig.prototype['subplots'] = undefined;






export default PlotConfig;

